%\begin{verbatim}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                           %
%       file:           tests.pl                                            %
%       purpose:        interpreter tests                                   %
%       author:         Sebastian Varges                                    %
%       date:           Wed Feb 19 14:35:13 MET 1997                        %
%       related files:  test_suite.pl                                       %
%                                                                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--- correct parsing examples

fs_parse('0a',[phon:[fi:[petra],re:[]],_,_],
        [[phon:[fi:[petra],re:[]],syn:[np,fem,sg,_B,3],sem:[cont:petra,quant:sg]],
         [phon:[fi:[petra],re:[]],syn:[pn,fem,sg,_A,3],sem:[cont:petra,quant:sg]]]).

fs_parse('0b',[phon:[fi:[gibst],re:[]],_,_],
        [[phon:[fi:[gibst],re:[]],syn:[vp,sc:[[syn:[np,_P,sg,nom,2],sem:_O],
                [syn:[np,_N,_M,dat,3],sem:_L],[syn:[np,_K,_J,acc,3],sem:_I]]],
          sem:[pred:give,arg1:_O,arg2:_I,arg3:_L]],
         [phon:[fi:[gibst],re:[]],syn:[v,sc:[[syn:[np,_H,sg,nom,2],sem:_G],
                [syn:[np,_F,_E,dat,3],sem:_D],[syn:[np,_C,_B,acc,3],sem:_A]]],
          sem:[pred:give,arg1:_G,arg2:_A,arg3:_D]]]).

fs_parse('1a',[phon:[fi:[die,frau],re:[]],syn:[np|_],_],
        [[phon:[fi:[die,frau],re:[]],syn:[np,fem,sg,nom,3],sem:[cont:woman,quant:sg]],
         [phon:[fi:[die,frau],re:[]],syn:[np,fem,sg,acc,3],sem:[cont:woman,quant:sg]]]).

fs_parse('1b',[phon:[fi:[die,frauen],re:[]],syn:[np|_],_],
        [[phon:[fi:[die,frauen],re:[]],syn:[np,fem,pl,nom,3],sem:[cont:woman,quant:pl]],
         [phon:[fi:[die,frauen],re:[]],syn:[np,fem,pl,acc,3],sem:[cont:woman,quant:pl]]]).

fs_parse('1c',[phon:[fi:[liebt,die,frauen],re:[]],syn:[vp|_],_],
        [[phon:[fi:[liebt,die,frauen],re:[]],syn:[vp,sc:[[syn:[np,_B,sg,nom,3],sem:_A]]],
                sem:[pred:love,arg1:_A,arg2:[cont:woman,quant:pl]]]]).


fs_parse('2a',[phon:[fi:[der,mann,schlaeft],re:[]],syn:[s],_],
        [[phon:[fi:[der,mann,schlaeft],re:[]],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:sg]]]]).

fs_parse('2b',[phon:[fi:[du,schlaefst],re:[]],syn:[s],_],
        [[phon:[fi:[du,schlaefst],re:[]],syn:[s],
          sem:[pred:sleep,arg1:[cont:you,quant:sg]]]]).


fs_parse('3a',[phon:[fi:[peter,sieht,petra],re:[]],syn:[s],_],
        [[phon:[fi:[peter,sieht,petra],re:[]],syn:[s],
          sem:[pred:see,arg1:[cont:peter,quant:sg],arg2:[cont:petra,quant:sg]]]]).

fs_parse('3b',[phon:[fi:[du,siehst,die,frau],re:[]],syn:[s],_],
        [[phon:[fi:[du,siehst,die,frau],re:[]],syn:[s],
          sem:[pred:see,arg1:[cont:you,quant:sg],arg2:[cont:woman,quant:sg]]]]).

fs_parse('3c',[phon:[fi:[der,mann,liebt,die,frauen],re:[]],syn:[s],_],
        [[phon:[fi:[der,mann,liebt,die,frauen],re:[]],syn:[s],
          sem:[pred:love,arg1:[cont:man,quant:sg],arg2:[cont:woman,quant:pl]]]]).

fs_parse('3d',[phon:[fi:[der,mann,sieht,petra],re:[]],syn:[s],_],
        [[phon:[fi:[der,mann,sieht,petra],re:[]],syn:[s],
          sem:[pred:see,arg1:[cont:man,quant:sg],arg2:[cont:petra,quant:sg]]]]).


fs_parse('4a',[phon:[fi:[du,schenkst,peter,den,ball],re:[]],syn:[s],_],
        [[phon:[fi:[du,schenkst,peter,den,ball],re:[]],syn:[s],
          sem:[pred:donate,arg1:[cont:you,quant:sg],
               arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]]]).

fs_parse('4b',[phon:[fi:[die,frauen,schenken,peter,den,ball],re:[]],syn:[s],_],
        [[phon:[fi:[die,frauen,schenken,peter,den,ball],re:[]],syn:[s],
          sem:[pred:donate,arg1:[cont:woman,quant:pl],
               arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]]]).

fs_parse('4c',[phon:[fi:[du,gibst,peter,den,ball],re:[]],syn:[s],_],
        [[phon:[fi:[du,gibst,peter,den,ball],re:[]],syn:[s],
          sem:[pred:give,arg1:[cont:you,quant:sg],
               arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]]]).

fs_parse('4d',[phon:[fi:[schenkt,peter,den,ball],re:[]],syn:[vp|_],_],
        [[phon:[fi:[schenkt,peter,den,ball],re:[]],
          syn:[vp,sc:[[syn:[np,_B,sg,nom,3],sem:_A]]],
          sem:[pred:donate,arg1:_A,arg2:[cont:ball,quant:sg],
               arg3:[cont:peter,quant:sg]]]]).

fs_parse('4e',[phon:[fi:[schenken,peter,den,ball],re:[]],syn:[vp|_],_],
        [[phon:[fi:[schenken,peter,den,ball],re:[]],
          syn:[vp,sc:[[syn:[np,_B,pl,nom,3],sem:_A]]],
          sem:[pred:donate,arg1:_A,arg2:[cont:ball,quant:sg],
               arg3:[cont:peter,quant:sg]]]]).

fs_parse('4f',[phon:[fi:[peter,gibt,petra,petra],re:[]],syn:[s],_],
        [[phon:[fi:[peter,gibt,petra,petra],re:[]],syn:[s],
          sem:[pred:give,arg1:[cont:peter,quant:sg],arg2:[cont:petra,quant:sg],
               arg3:[cont:petra,quant:sg]]]]).


%--- incorrect parsing examples
fs_error_parse('10a',[phon:[fi:[petra],re:[]],syn:[v|_],_],[]).
fs_error_parse('10b',[phon:[fi:[der],re:[der]],_,_],[]).

fs_error_parse('11a',[phon:[fi:[die,mann],re:[]],syn:[np],_],[]).

fs_error_parse('12a',[phon:[fi:[der,mann,schlaefst],re:[]],syn:[s],_],[]).
fs_error_parse('12b',[phon:[fi:[du,schlaeft],re:[]],syn:[s],_],[]).
fs_error_parse('12c',[phon:[fi:[der,frau,schlaeft],re:[]],syn:[s],_],[]).

fs_error_parse('13a',[phon:[fi:[der,mann,traeumt,den,ball],re:[]],syn:[s],_],[]).
fs_error_parse('13b',[phon:[fi:[der,mann,sieht,der,ball],re:[]],syn:[s],_],[]).
fs_error_parse('13c',[phon:[fi:[du,sieht,den,ball],re:[]],syn:[s],_],[]).
fs_error_parse('13d',[phon:[fi:[die,frau,sieht],re:[]],syn:[s],_],[]).

fs_error_parse('14a',[phon:[fi:[du,schenkt,peter,den,ball],re:[]],syn:[s],_],[]).
fs_error_parse('14b',[phon:[fi:[du,schenkst,den,ball],re:[]],_,_],[]).
fs_error_parse('14c',[phon:[fi:[du,schenkst,peter],re:[]],_,_],[]).
fs_error_parse('14d',[phon:[fi:[der,frau,schenkt,peter,den,ball],re:[]],syn:[s],_],[]).


%--- correct generation examples   
fs_gen('20a',[_,syn:[pn,fem,sg,_A,3],sem:[cont:petra,quant:sg]],
        [[phon:[fi:[petra|_],re:_],syn:[pn,fem,sg,_A,3],sem:[cont:petra,quant:sg]]]).

%   more syntactic contraints than category
fs_gen('21a',[_,syn:[np,fem,_,_,3],sem:[cont:petra,quant:sg]],
        [[phon:[fi:[petra|_],re:_],syn:[np,fem,sg,_B,3],sem:[cont:petra,quant:sg]]]).

fs_gen('21b',[_,syn:[np|_],sem:[cont:woman,quant:sg]],
        [[phon:[fi:[die,frau|_684],re:_684],syn:[np,fem,sg,nom,3],
          sem:[cont:woman,quant:sg]],
         [phon:[fi:[die,frau|_684],re:_684],syn:[np,fem,sg,acc,3],
          sem:[cont:woman,quant:sg]]]).


fs_gen('22a',[_,syn:[s],sem:[pred:sleep,arg1:[cont:man,quant:sg]]],
        [[phon:[fi:[der,mann,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:sg]]]]).

fs_gen('22b',[_,syn:[s],sem:[pred:sleep,arg1:[cont:man,quant:pl]]],
        [[phon:[fi:[die,maenner,schlafen|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:pl]]]]).

fs_gen('22c',[_,syn:[s],sem:[pred:sleep,arg1:[cont:you,quant:sg]]],
        [[phon:[fi:[du,schlaefst|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:you,quant:sg]]]]).

fs_gen('22d',[phon:[_,re:[]],syn:[s],sem:[pred:dream,arg1:[cont:peter,quant:sg]]],
        [[phon:[fi:[peter,traeumt|_],re:[]],syn:[s],
          sem:[pred:dream,arg1:[cont:peter,quant:sg]]]]).


fs_gen('23a',[_,syn:[s],sem:[pred:see,arg1:[cont:peter,quant:sg],
                             arg2:[cont:petra,quant:sg]]],
        [[phon:[fi:[peter,sieht,petra|_],re:_],syn:[s],
          sem:[pred:see,arg1:[cont:peter,quant:sg],
               arg2:[cont:petra,quant:sg]]]]).

fs_gen('23b',[_,syn:[s],sem:[pred:see,arg1:[cont:you,quant:sg],
                             arg2:[cont:woman,quant:sg]]],
        [[phon:[fi:[du,siehst,die,frau],_],syn:[s],
          sem:[pred:see,arg1:[cont:you,quant:sg],
               arg2:[cont:woman,quant:sg]]]]).

fs_gen('23c',[_,syn:[s], sem:[pred:love,arg1:[cont:man,quant:sg],
                              arg2:[cont:woman,quant:pl]]],
        [[phon:[fi:[der,mann,liebt,die,frauen],_],syn:[s],
          sem:[pred:love,arg1:[cont:man,quant:sg],
               arg2:[cont:woman,quant:pl]]]]).

fs_gen('23d',[_,syn:[s],sem:[pred:see,arg1:[cont:man,quant:sg],
                             arg2:[cont:petra,quant:sg]]],
        [[phon:[fi:[der,mann,sieht,petra|_],re:_],syn:[s],
          sem:[pred:see,arg1:[cont:man,quant:sg],
               arg2:[cont:petra,quant:sg]]]]).

fs_gen('24a',[_,syn:[s],sem:[pred:donate,arg1:[cont:you,quant:sg],
                  arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]],
        [[phon:[fi:[du,schenkst,peter,den,ball|_2162],re:_2162],syn:[s],
          sem:[pred:donate,arg1:[cont:you,quant:sg],arg2:[cont:ball,quant:sg],
               arg3:[cont:peter,quant:sg]]]]).     

fs_gen('24b',[_,syn:[s],sem:[pred:donate,arg1:[cont:woman,quant:pl],
                             arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]],
        [[phon:[fi:[die,frauen,schenken,peter,den,ball|_2162],re:_2162],syn:[s],
          sem:[pred:donate,arg1:[cont:woman,quant:pl],arg2:[cont:ball,quant:sg],
               arg3:[cont:peter,quant:sg]]]]).

fs_gen('24c',[_,syn:[s],sem:[pred:give,arg1:[cont:you,quant:sg],
                    arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]],
        [[phon:[fi:[du,gibst,peter,den,ball|_2162],re:_2162],syn:[s],
                 sem:[pred:give,arg1:[cont:you,quant:sg],
                      arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]]]).

fs_gen('24d',[_,syn:[s],sem:[pred:give,arg1:[cont:peter,quant:sg],
                             arg2:[cont:petra,quant:sg],
                             arg3:[cont:petra,quant:sg]]],
        [[phon:[fi:[peter,gibt,petra,petra|_2162],re:_2162],syn:[s],
          sem:[pred:give,arg1:[cont:peter,quant:sg],
               arg2:[cont:petra,quant:sg],arg3:[cont:petra,quant:sg]]]]).


%--- incorrect generation examples (fully instantiated semantics)
% numerus incompatible
fs_error_gen('30a',[_,syn:[pn,fem,pl,_B,3],sem:[cont:petra,quant:sg]],[]).

% to sleep with two comps
fs_error_gen('30b',[_,syn:[v|_],sem:[pred:sleep,arg1:[cont:peter,quant:sg],
                                     arg2:[cont:peter,quant:sg]]],[]).

% genus incompatible
fs_error_gen('31a',[_,syn:[np,masc,sg,_,3],sem:[cont:petra,quant:sg]],[]).

% petra in plural
fs_error_gen('31b',[_,syn:[np,fem,pl,_,3],sem:[cont:petra,quant:pl]],[]).

% to sleep with two comps
fs_error_gen('31c',[_,syn:[vp|_],sem:[pred:sleep,arg1:[cont:peter,quant:sg],
                                      arg2:[cont:peter,quant:sg]]],[]).

% wrong category
fs_error_gen('32a',[_,syn:[np|_],sem:[pred:sleep,arg1:[cont:man,quant:sg]]],[]).

% missing argument
fs_error_gen('32b',[_,syn:[s],sem:[pred:love,arg1:[cont:man,quant:sg]]],[]).

% vp with empty subcat list
fs_error_gen('32c',[_,syn:[vp,sc:[]|_],sem:[pred:sleep,arg1:[cont:man,quant:sg]]],[]).

% petra in plural
fs_error_gen('33a',[_,syn:[s],sem:[pred:see,arg1:[cont:peter,quant:sg],
                                   arg2:[cont:petra,quant:pl]]],[]).

% peter in plural
fs_error_gen('33b',[_,syn:[s],sem:[pred:see,arg1:[cont:peter,quant:pl],
                                   arg2:[cont:petra,quant:sg]]],[]).

% to sleep with two comps
fs_error_gen('33c',[_,syn:[s],sem:[pred:sleep,arg1:[cont:peter,quant:sg],
                                   arg2:[cont:petra,quant:sg]]],[]).

% ball in dative not in grammar.pl
fs_error_gen('33d',[_,syn:[s],sem:[pred:donate,arg1:[cont:you,quant:sg],
                                   arg2:[cont:ball,quant:sg],
                                   arg3:[cont:ball,quant:sg]]],[]).

% to see with tree arguments
fs_error_gen('33e',[_,syn:[s],sem:[pred:see,arg1:[cont:you,quant:sg],
                                   arg2:[cont:ball,quant:sg],
                                   arg3:[cont:petra,quant:sg]]],[]).

% to sleep with tree arguments
fs_error_gen('33f',[_,syn:[s],sem:[pred:sleep,arg1:[cont:you,quant:sg],
                                   arg2:[cont:ball,quant:sg],
                                   arg3:[cont:petra,quant:sg]]],[]).


%--- consistent mixed input feature structures
% only syntax underspecified
fs_cons_mixed('40a',[phon:[fi:[petra],re:[]],syn:[pn|_],sem:[cont:petra,quant:sg]],
        [[phon:[fi:[petra],re:[]],syn:[pn,fem,sg,_,3],sem:[cont:petra,quant:sg]]]).

% petra as pn and np
fs_cons_mixed('41a',[phon:[fi:[petra|_348],re:_344],syn:_339,
                     sem:[cont:_329,quant:sg]],
        [[phon:[fi:[petra|_420],re:_420],syn:[np,fem,sg,_401,3],
          sem:[cont:petra,quant:sg]],
         [phon:[fi:[petra|_478],re:_478],syn:[pn,fem,sg,_459,3],
          sem:[cont:petra,quant:sg]]]).

% phon and sem underspecified
fs_cons_mixed('42a',[phon:[fi:[der,_,schlaeft],re:[]],syn:[s],
                     sem:[pred:_,arg1:[cont:man,quant:_]]],
        [[phon:[fi:[der,mann,schlaeft],re:[]],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:sg]]]]).

fs_cons_mixed('42b',[_,syn:[s],sem:[_,arg1:[cont:man,quant:pl]]],
        [[phon:[fi:[die,maenner,schlafen|_],_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:pl]]]]).

fs_cons_mixed('42c',[_,syn:[s],sem:[_,arg1:[cont:man,quant:sg]]],
        [[phon:[fi:[der,mann,traeumt|_],_],syn:[s],
          sem:[pred:dream,arg1:[cont:man,quant:sg]]],
         [phon:[fi:[der,mann,schlaeft|_],_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:sg]]]]).

% phon and sem underspecified
fs_cons_mixed('42d',[phon:[fi:[die,_,schlafen|_],re:_],syn:[s],sem:[_:sleep|_]],
        [[phon:[fi:[die,maenner,schlafen|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:pl]]],
         [phon:[fi:[die,frauen,schlafen|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:woman,quant:pl]]]]).

fs_cons_mixed('42e',[phon:[fi:[du,_,die,frau],_],syn:_,
          sem:[pred:see,arg1:[cont:you,quant:_],arg2:[cont:_,quant:sg]]],
        [[phon:[fi:[du,siehst,die,frau|_],_],syn:[s],
          sem:[pred:see,arg1:[cont:you,quant:sg],arg2:[cont:woman,quant:sg]]]]).

fs_cons_mixed('42f',[phon:[fi:[der,mann|_],_],syn:[s],
                     sem:[pred:love,_,arg2:[cont:woman,quant:pl]]],
        [[phon:[fi:[der,mann,liebt,die,frauen],re:[]],syn:[s],
          sem:[pred:love,arg1:[cont:man,quant:sg],
               arg2:[cont:woman,quant:pl]]]]).

fs_cons_mixed('42g',[_,syn:[s],sem:[_,arg1:[cont:peter,quant:sg],
                                      arg2:[cont:petra,quant:sg]]],
        [[phon:[fi:[peter,liebt,petra|_1302],re:_1302],syn:[s],
          sem:[pred:love,arg1:[cont:peter,quant:sg],
                arg2:[cont:petra,quant:sg]]],
         [phon:[fi:[peter,sieht,petra|_1302],re:_1302],syn:[s],
          sem:[pred:see,arg1:[cont:peter,quant:sg],
                arg2:[cont:petra,quant:sg]]]]).

% als sentences for to sleep
fs_cons_mixed('42h',[_,syn:[s],sem:[pred:sleep|_]],
        [[phon:[fi:[der,mann,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:sg]]],
         [phon:[fi:[der,ball,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:ball,quant:sg]]],
         [phon:[fi:[die,frau,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:woman,quant:sg]]],
         [phon:[fi:[peter,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:peter,quant:sg]]],
         [phon:[fi:[petra,schlaeft|_],re:_],syn:[s],
          sem:[pred:sleep,arg1:[cont:petra,quant:sg]]],
         [phon:[fi:[die,maenner,schlafen|_],_],syn:[s],
          sem:[pred:sleep,arg1:[cont:man,quant:pl]]],
         [phon:[fi:[die,frauen,schlafen|_],_],syn:[s],
          sem:[pred:sleep,arg1:[cont:woman,quant:pl]]],
         [phon:[fi:[du,schlaefst|_],_],syn:[s],
          sem:[pred:sleep,arg1:[cont:you,quant:sg]]]]).

fs_cons_mixed('42i',[phon:[fi:[du,gibst,_,_,ball],_],_,
                     sem:[_,arg1:[cont:you,quant:sg],
                            arg2:[_:ball,quant:sg],arg3:[cont:peter,_]]],
        [[phon:[fi:[du,gibst,peter,den,ball],_],syn:[s],
          sem:[pred:give,arg1:[cont:you,quant:sg],
               arg2:[cont:ball,quant:sg],arg3:[cont:peter,quant:sg]]]]).

fs_cons_mixed('42j',[_,syn:[s],sem:[_,arg1:[cont:peter,quant:sg],
                                      arg2:[cont:ball,_],arg3:[cont:petra,_]]],
        [[phon:[fi:[peter,gibt,petra,den,ball|_2111],re:_2111],syn:[s],
          sem:[pred:give,arg1:[cont:peter,quant:sg],arg2:[cont:ball,quant:sg],
               arg3:[cont:petra,quant:sg]]],
         [phon:[fi:[peter,schenkt,petra,den,ball|_2111],re:_2111],syn:[s],
          sem:[pred:donate,arg1:[cont:peter,quant:sg],arg2:[cont:ball,quant:sg],
               arg3:[cont:petra,quant:sg]]]]).

fs_cons_mixed('42k',[phon:[fi:[peter,_,petra,petra|_],re:_],syn:[s],sem:[pred:donate|_]],
        [[phon:[fi:[peter,schenkt,petra,petra|_],re:_],syn:[s],
          sem:[pred:donate,arg1:[cont:peter,quant:sg],
               arg2:[cont:petra,quant:sg],arg3:[cont:petra,quant:sg]]]]).


/*
% 42l + 42m: phon rest list instantiated: works only if prediction 
% (and scanning) are always called (even if active_completion/5 succeeds)
fs_cons_mixed('42l',[phon:[fi:[du,_,die,frau,heute],re:[heute]],syn:_,
          sem:[pred:see,arg1:[cont:you,quant:_],arg2:[cont:_,quant:sg]]],
        [[phon:[fi:[du,siehst,die,frau,heute],re:[heute]],syn:[s],
          sem:[pred:see,arg1:[cont:you,quant:sg],arg2:[cont:woman,quant:sg]]]]).

fs_cons_mixed('42m',[phon:[fi:[der,mann|_],re:[]],syn:[s],
                     sem:[pred:love,_,arg2:[cont:woman,quant:pl]]],
        [[phon:[fi:[der,mann,liebt,die,frauen],re:[]],syn:[s],
          sem:[pred:love,arg1:[cont:man,quant:sg],arg2:[cont:woman,quant:pl]]]]).
*/

%--- inconsistent mixed input feature structures

fs_incons_mixed('51a',[phon:[fi:[die,_,schlaeft],re:[]],syn:[s],
                       sem:[pred:_,arg1:[cont:man,quant:_]]],[]).

fs_incons_mixed('51b',[phon:[fi:[der,traeumt|_],_],syn:[s],
                       sem:[_,arg1:[cont:man,quant:sg]]],[]).

fs_incons_mixed('52a',[phon:[fi:[der,mann,_,die,frauen],re:[]],
                       syn:[s],sem:[pred:love,arg1:[cont:man,quant:pl],
                                    arg2:[cont:woman,quant:pl]]],[]).

fs_incons_mixed('52b',[phon:[fi:[peter,sieht,petra|_],re:_],syn:[s],
                       sem:[pred:see,arg1:[cont:peter,quant:sg],
                            arg2:[cont:petra,quant:pl]]],[]).

fs_incons_mixed('52c',[phon:[fi:[peter,sieht,petra|_],re:_],syn:[s],
                       sem:[pred:give,arg1:[cont:peter,quant:sg],
                            arg2:[cont:petra,quant:sg]]],[]). 

fs_incons_mixed('52d',[phon:[fi:[peter,sieht,petra|_],re:_],syn:[s],
                       sem:[pred:sleep,arg1:[cont:peter,quant:sg],
                            arg2:[cont:petra,quant:sg]]],[]). 

fs_incons_mixed('53a',[phon:[fi:[_,schenkt,petra,den,ball],re:[]],_,
                       sem:[pred:donate,arg1:[cont:man,quant:sg],
                            arg2:[cont:ball,quant:sg],_]],[]).

fs_incons_mixed('53b',[phon:[fi:[schenken,peter,den,ball],re:[]],
                       syn:[vp,sc:[[syn:[np,_,_,acc,3],_]]],
                       sem:[pred:donate,arg1:_A,arg2:[cont:ball,quant:sg],_]],[]).
%\end{verbatim}